# docker compose watch

<!---MARKER_GEN_START-->
Watch build context for service and rebuild/refresh containers when files are updated

### Options

| Name        | Type   | Default | Description                                   |
|:------------|:-------|:--------|:----------------------------------------------|
| `--dry-run` | `bool` |         | Execute command in dry run mode               |
| `--no-up`   | `bool` |         | Do not build & start services before watching |
| `--prune`   | `bool` | `true`  | Prune dangling images on rebuild              |
| `--quiet`   | `bool` |         | hide build output                             |


<!---MARKER_GEN_END-->

